Skip to Content
inclamoDocs

Create an integration hook

POST
/api/v1/accounts/{account_id}/integrations/hooks

Create an integration hook

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Request Body

application/json
  1. body
app_id?integer

The ID of app for which integration hook is being created

inbox_id?integer

The inbox ID, if the hook is an inbox hook

status?integer

The status of the integration (0 for inactive, 1 for active)

settings?

The settings required by the integration

Response Body

Success

application/json
  1. response
id?string

The ID of the integration hook

app_id?string

The ID of the integration app

inbox_id?string

Inbox ID if its an Inbox integration

account_id?string

Account ID of the integration

status?boolean

Whether the integration hook is enabled for the account

hook_type?boolean

Whether its an account or inbox integration hook

settings?

The associated settings for the integration

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/integrations/hooks' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "app_id": "string",  "inbox_id": "string",  "account_id": "string",  "status": true,  "hook_type": true,  "settings": {}}